Subject: RE: cygwin.dll bug
From: [email-masked]

30 Jan 1997 21:00:05 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-CC: [email-masked], [email-masked]
Original-Sender: [email-masked]

Hi, you wrote:

: >Program received signal SIGSEGV, Segmentation fault.
: >strncpy (dst=0x263eb30 "H_c\002\027&@", src=0x0, n=20)
 
: The debugger appears to be telling you that you called strncpy with a null
: src pointer (src=0x0), which would indeed cause a segmentation fault. If
: your code is not at fault then something truly bizarre is happening to make
: the src pointer zero before it gets to the strncpy function. I have to
: admit I suspect the calling code (i.e. your code), not the library... sorry.

I hope that's not very old, bad code relying to dereference NULL...

Bye, Heribert ([email-masked])
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".